## poolcounter 1.1.2

=== Makefile ===
CC=gcc
DEFINES=-DENDIAN_BIG=0 -DENDIAN_LITTLE=1 -DHAVE_ACCEPT4=1
CFLAGS+=-Wall -Werror $(DEFINES) $(CPPFLAGS)
OBJS=main.o client_data.o locks.o hash.o stats.o
LDFLAGS+=-levent -lm
HEADERS=prototypes.h client_data.h stats.h stats.list
DESTDIR ?=
PYTEST=$(shell which pytest pytest-3)

poolcounterd: $(OBJS)
	$(CC) $^ $(LDFLAGS) -o $@

%.o: %.c $(HEADERS)
	$(CC) -c $(CFLAGS) $< -o $@

prototypes.h: main.c
	sed -n 's/\/\* prototype \*\//;/p' $^ > $@

clean:
	rm -f poolcounterd *.o prototypes.h

install:
	install -d $(DESTDIR)/usr/bin/
	install poolcounterd $(DESTDIR)/usr/bin/

# Depends on pytest and python3
test: poolcounterd
	$(PYTEST)

=== debian/changelog ===
poolcounter (1.1.2-2) unstable; urgency=medium

  * Enable hardening flags
  * Standards-Version: 4.3.0, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Fri, 01 Mar 2019 20:45:35 +0000

poolcounter (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
  * Drop patch merged upstream, upstream Makefile now supports CFLAGS,
    CPPFLAGS, and LDFLAGS out of the box

 -- Kunal Mehta <legoktm@debian.org>  Sun, 09 Dec 2018 00:43:55 -0800

poolcounter (1.1.1-2) unstable; urgency=medium

  * Configure Salsa-Pipeline
  * Add Vcs-* control fields
  * Set Rules-Requires-Root: no
  * Use HTTPS in d/copyright Format URI
  * Add Homepage field to d/control
  * Add patch to inherit default CFLAGS in Makefile
  * Have autopkgtest/pytest be more verbose

 -- Kunal Mehta <legoktm@debian.org>  Wed, 21 Nov 2018 19:09:54 -0800

poolcounter (1.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #907122)

 -- Kunal Mehta <legoktm@debian.org>  Tue, 02 Oct 2018 20:32:28 -0700

=== debian/control ===
Source: poolcounter
Section: web
Priority: optional
Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
Uploaders: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper (>= 11), libevent-dev, python3-pytest
Standards-Version: 4.3.0
Homepage: https://www.mediawiki.org/wiki/PoolCounter
Vcs-Git: https://salsa.debian.org/mediawiki-team/poolcounter.git
Vcs-Browser: https://salsa.debian.org/mediawiki-team/poolcounter
Rules-Requires-Root: no

Package: poolcounter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: network daemon which provides mutex-like functionality
 PoolCounter is a network daemon which provides mutex-like functionality,
 with a limited wait queue length. If too many servers try to do the same
 thing at the same time, the wait queue overflows and some configurable
 action might be taken by subsequent clients, such as displaying an error
 message or using a stale cache entry.

## poolcounter 1.1.3

=== Makefile ===
--- 
+++ 
@@ -25,4 +25,4 @@
 
 # Depends on pytest and python3
 test: poolcounterd
-	$(PYTEST)
+	$(PYTEST) -v

=== debian/changelog ===
poolcounter (1.1.3-1) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Kunal Mehta ]
  * New upstream version 1.1.3

 -- Kunal Mehta <legoktm@debian.org>  Sat, 14 Dec 2019 02:05:18 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
 Uploaders: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper (>= 11), libevent-dev, python3-pytest
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://www.mediawiki.org/wiki/PoolCounter
 Vcs-Git: https://salsa.debian.org/mediawiki-team/poolcounter.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/poolcounter

=== debian/tests/control ===
Depends: @, python3-pytest
Test-Command: POOLCOUNTERD=/usr/bin/poolcounterd pytest-3 -v

## poolcounter 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,23 @@
 CC=gcc
-DEFINES=-DENDIAN_BIG=0 -DENDIAN_LITTLE=1 -DHAVE_ACCEPT4=1
+DEFINES=-DENDIAN_BIG=0 -DENDIAN_LITTLE=1
+OS := $(shell uname -s)
+ifeq ($(OS),Darwin)
+   DEFINES+= -DHAVE_ACCEPT4=0
+   # Avoid `fatal error: 'event.h' file not found` due to Homebrew
+   # on Apple ARM installing libs to a non-default location.
+   # https://github.com/orgs/Homebrew/discussions/868
+   ifneq (,$(wildcard /opt/homebrew))
+	   export CPATH=/opt/homebrew/include:${CPATH:-}
+	   export LIBRARY_PATH=/opt/homebrew/lib:${LIBRARY_PATH:-}
+	endif
+else
+   DEFINES+= -DHAVE_ACCEPT4=1
+endif
 CFLAGS+=-Wall -Werror $(DEFINES) $(CPPFLAGS)
 OBJS=main.o client_data.o locks.o hash.o stats.o
 LDFLAGS+=-levent -lm
 HEADERS=prototypes.h client_data.h stats.h stats.list
 DESTDIR ?=
-PYTEST=$(shell which pytest pytest-3)
 
 poolcounterd: $(OBJS)
 	$(CC) $^ $(LDFLAGS) -o $@
@@ -25,4 +37,4 @@
 
 # Depends on pytest and python3
 test: poolcounterd
-	$(PYTEST) -v
+	pytest -v

=== debian/changelog ===
poolcounter (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Fix building with GCC 15 (Closes: #1097634)

 -- Kunal Mehta <legoktm@debian.org>  Mon, 07 Apr 2025 21:11:47 -0400

poolcounter (1.1.3-3) unstable; urgency=medium

  [ Taavi Väänänen ]
  * Raise debhelper compat level to 13
  * Standards-Version: 4.6.2, no changes needed
  * Use DynamicUser=yes to declare the user

  [ Kunal Mehta ]
  * Set upstream metadata fields: Repository.

 -- Kunal Mehta <legoktm@debian.org>  Sun, 30 Jun 2024 01:01:29 -0400

poolcounter (1.1.3-2) unstable; urgency=low

  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.
  * Use plain `pytest` for tests (Closes: #1011916)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 02 Jul 2022 15:26:05 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
 Uploaders: Kunal Mehta <legoktm@debian.org>
-Build-Depends: debhelper (>= 11), libevent-dev, python3-pytest
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), libevent-dev, python3-pytest
+Standards-Version: 4.6.2
 Homepage: https://www.mediawiki.org/wiki/PoolCounter
 Vcs-Git: https://salsa.debian.org/mediawiki-team/poolcounter.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/poolcounter
@@ -12,7 +12,7 @@
 
 Package: poolcounter
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: network daemon which provides mutex-like functionality
  PoolCounter is a network daemon which provides mutex-like functionality,
  with a limited wait queue length. If too many servers try to do the same
